!Neste modulo estao contidas as variaveis comuns a todos os problemas
!NAO E RECOMENDADO ALTERACOES NESTE MODULO
MODULE Var_global

	IMPLICIT NONE

	!Numero de pontos de interpolacao
	INTEGER :: n 

	!nmero de pontos de integrao no tempo;
	INTEGER :: np

	!Numero de pontos de interpolacao internos + um ponto de interpolacao externo
	INTEGER :: nt

	!valor de alfa do polinomio de Jacobi
	REAL*8 :: al 

	!Valor de beta do polinomio de Jacobi
	REAL*8 :: be 

	!Metodo de residuos ponderados escolhido
	! 0=colocacao ortogonal; 1=Metodos dos momentos; 3=Metodo de Galerkin
	INTEGER :: Metodo

	!Array utilizado para armazenar as raizes dos polinomios de Jacobi
	REAL*8,ALLOCATABLE,DIMENSION (:) :: Raiz

	!Array utilizado para armazenar a Matriz A 
	REAL*8,ALLOCATABLE,DIMENSION (:,:) :: A

	!Array utilizado para armazenar a matriz B
	REAL*8,ALLOCATABLE,DIMENSION (:,:) :: B

	!Array utilizado para armazenar os pesos da quadratura de Gauss-Jacobi
	REAL*8,ALLOCATABLE, DIMENSION (:) :: W

	!Array utilizado para armazenar a matriz V do balanco de massa
	REAL*8,ALLOCATABLE, DIMENSION (:,:) :: Vy

	!Array utilizado para armazenar a matriz V do balanco de energia
	REAL*8,ALLOCATABLE, DIMENSION (:,:) :: Vt

	!Armazena o tempo da integracao
	REAL*8 :: tempo

	!Declarao de variveis utilizadas pela DASSL
	INTEGER :: neq
	INTEGER :: liw, lrw 

	!Variaveis utilizadas na definicao da malha de integracao
	REAL*8 :: tinicial		!Tempo inicial
	REAL*8 :: tfinal		!Tempo final da integrao
	REAL*8 :: dt			!Incremento a ser realizado em cada t
	REAL*8 :: tout			!Variavel tempo atual + incremento (t+dt)

ENDMODULE Var_global